#include <bits/stdc++.h>

using namespace std;
int main() {

   ios_base::sync_with_stdio(false);
   cin.tie(NULL);
   cout.tie(NULL);
   int n,k,x;
   cin>>n>>k>>x;
   vector<long long>p(n);
   for(int i=0;i<n;i++){
    cin>>p[i];
   }
   for(int i=0;i<n-k+1;i++){
    long long os=0;
    vector<long long>suf;
    long long sum=0;
    for(int j=k-1;j>-1;j--){
        long long tr=p[i+j];
        os+=tr;
        sum+=tr;
        suf.push_back(sum);
    }
    suf.push_back(0);
    sort(suf.begin(),suf.end(), greater<long long>());
    long long a=0;
    for(int j=0;j<x-1;j++){
        a+=suf[j];
    }
    cout<<os+a;
    cout<<" ";
   }

}